DROP TABLE maps;
DROP TABLE players;


CREATE TABLE maps(
	map_id uniqueidentifier NOT NULL DEFAULT newid(),
	map_name VARCHAR(30) NOT NULL,
	map_size VARCHAR(6) NOT NULL,
	map_data VARCHAR(1369) NOT NULL -- Calculated With max. column range 18X18
	);

CREATE TABLE players(
	player_id uniqueidentifier NOT NULL DEFAULT newid(),
   	player_name VARCHAR(30) NOT NULL,
	games_won INTEGER NOT NULL, 
	games_lost INTEGER NOT NULL,
	kills INTEGER NOT NULL,
	deaths INTEGER NOT NULL,
	blocks_destroyed INTEGER NOT NULL,
	ingame_time INTEGER NOT NULL
);