package de.hdm_stuttgart.battlearena.Persistance.Classes;

import org.apache.logging.log4j.Logger;
import org.apache.logging.log4j.LogManager;

public class PlayerStatistics {
    private static final Logger log = LogManager.getLogger(PlayerStatistics.class);


    private String playerName;
    private int playerLost;
    private int playerWonRate;
    private int playerKills;
    private int playerDeaths;
    private int blocksDestroyed;
    private int gameTime;

    public PlayerStatistics(String playerName, int playerLost, int playerWonRate, int playerKills, int playerDeaths, int blocksDestroyed, int gameTime) {
        this.playerName = playerName;
        this.playerLost = playerLost;
        this.playerWonRate = playerWonRate;
        this.playerKills = playerKills;
        this.playerDeaths = playerDeaths;
        this.blocksDestroyed = blocksDestroyed;
        this.gameTime = gameTime;
    }

    public String getPlayerName() {
        return playerName;
    }

    public void setPlayerName(String playerName) {
        this.playerName = playerName;
    }

    public int getPlayerLost() {
        return playerLost;
    }

    public void setPlayerLost(int playerLost) {
        this.playerLost = playerLost;
    }

    public int getPlayerWonRate() {
        return playerWonRate;
    }

    public void setPlayerWonRate(int playerWonRate) {
        this.playerWonRate = playerWonRate;
    }

    public int getPlayerKills() {
        return playerKills;
    }

    public void setPlayerKills(int playerKills) {
        this.playerKills = playerKills;
    }

    public int getPlayerDeaths() {
        return playerDeaths;
    }

    public void setPlayerDeaths(int playerDeaths) {
        this.playerDeaths = playerDeaths;
    }

    public int getBlocksDestroyed() {
        return blocksDestroyed;
    }

    public void setBlocksDestroyed(int blocksDestroyed) {
        this.blocksDestroyed = blocksDestroyed;
    }

    public int getGameTime() {
        return gameTime;
    }

    public void setGameTime(int gameTime) {
        this.gameTime = gameTime;
    }


}
